Subject: Re: [X2Go-Dev] Bug#140: x2gobroker: agent-query-mode in sessionprofiles ignored
From: Mike Gabriel <[email-masked]>
To: Anders Bruun Olsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 06 Mar 2013 18:42:21 +0100

close #140
thanks

Hi Anders,

On Mi 06 Mär 2013 18:15:26 CET Anders Bruun Olsen wrote:

> 2013/3/6 Mike Gabriel <[email-masked]>
>>
>> Indeed the option agent-query-mode is ignored in
>> x2gobroker-sessionprofiles.**conf, as it is only available in the backend
>> sections of x2gobroker.conf.
>>
>
> Right. My mistake. My understanding was "per profile", not "per backend",
> even though it clearly says per-broker-backend in the comment. Concept
> confusion I'm afraid.
>
>
>> I see that the new autologin (which works) uses self.get_profile_broker()
>>> instead of self.config to access settings. This might be the source of the
>>> problem?
>>
>> I could not find the usage of self.get_profile_broker() in
>> self.get_agent_query_mode(). If I missed something, can you point me to the
>> exact line?
>>
>
> In branch 0.0.0.6 from git:
> abo@x2go-broker:~/x2gobroker/x2gobroker$ grep -n self.get_profile_broker
> brokers/base_broker.py
> 478:        _profile = self.get_profile_broker(profile_id)
> 504:        _profile = self.get_profile_broker(profile_id)
>
> But that was just me trying to figure out why the autologin setting was
> being picked up from x2gobroker-sessionprofiles.conf while agent-query-mode
> wasn't. Since the answer is, that it works as intended, this last part is a
> non-issue as well.

Marking this issue as done, then.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb